# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libICE-devel libSM-devel libX11-devel libalsa-devel libsocket python-devel
# END SourceDeps(oneline)
%define fedora 23
Name:      schismtracker
Version:   20120105
Release:   alt1_9
Summary:   Sound module composer/player
Group:     Sound
License:   GPLv2
URL:       http://www.nimh.org/schismtracker/
Source0:   http://schismtracker.org/dl/schismtracker-%{version}.tar.bz2
Source1:   schismtracker.desktop

Requires: icon-theme-hicolor
BuildRequires: libSDL-devel desktop-file-utils python >= 2.4
%if 0%{!?_without_x:1}
BuildRequires: libXt-devel libXxf86misc-devel libXv-devel
%endif
Source44: import.info

%description
Schismtracker is a module tracker for the X Window System similar to
the DOS program `Impulse Tracker'. Schismtracker can play/modify various
sound formats such as MOD, S3M, XM, IT, 669 and others.  The user interface
is mostly text-based using SDL for graphical output.

%prep
%setup -q
mkdir auto

%build
%configure --disable-dependency-tracking \
%if 0%{?_without_x:1}
--with-x=no \
%endif
;
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

pushd icons
for i in 16 22 24 32 36 48 64 72 96; do
        install -m644 -D schism-icon-${i}.png %{buildroot}/%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done
install -m644 -D schism-icon.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
popd

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora}  < 19
        --vendor fedora \
%endif
        --dir %{buildroot}/%{_datadir}/applications \
%SOURCE1

%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/schismtracker
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-schismtracker.desktop
%else
%{_datadir}/applications/schismtracker.desktop
%endif
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_8
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_5
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 20120105-alt1_4
- initial fc import

